Subject: Re: bug#66636: Move lexical-binding warning from checkdoc to byte-compiler

From: Mattias Engdegård <[email-masked]>
Date: Fri, 20 Oct 2023 12:15:18 +0200

19 okt. 2023 kl. 19.40 skrev Stefan Kangas <[email-masked]>:

>> +    ;;; My little pony mode  -*- lexical-binding: t -*-
> 
> If we want this to conform with the format required by package.el, this
> should be:
> 
> ;;; pony.el --- My little pony mode  -*- lexical-binding: t -*-
> 
> Or would that distract from the main point?

Indeed the example was chosen to avoid anything irrelevant. If anything should go it would be the pony, but I put it there to remind the user that it's fine to include something else that obviously isn't parsed.
Something too formal-looking might give the impression of compulsory and/or machine-readable structure.

(I always found this traditional first line to be somewhat of an uneasy composite: too often it forces unnatural brevity on the description, or becomes so long that it wraps. I'd favour dedicating the first line to the -*- cookie alone.)

> On a side note, it would be good to also highlight this in the relevant
> sections of the manual.

Yes, the manual needs updating in some respects. I'll do this separately to keep the text as coherent as possible.

Thank you for the kind review!